<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>cn.freemud</groupId>
    <artifactId>order-group</artifactId>
    <version>1.0.0</version>
    <packaging>pom</packaging>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <java.version>1.8</java.version>
        <commons.version>2.1.0-release</commons.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <spring.netflix.version>1.3.0.BUILD-SNAPSHOT</spring.netflix.version>
        <spring.zookeeper.version>1.0.3.RELEASE</spring.zookeeper.version>
        <spring.cloud.version>Greenwich.SR2</spring.cloud.version>
        <spring.cloud.amqp.version>1.5.3.RELEASE</spring.cloud.amqp.version>
        <spring.cloud.redis.version>1.5.3.RELEASE</spring.cloud.redis.version>
        <sharding-jdbc.version>2.0.1</sharding-jdbc.version>
        <lombok.version>1.16.16</lombok.version>
        <feign-form.version>3.0.3</feign-form.version>

        <ordercenter-sdk.version>1.0.0</ordercenter-sdk.version>
    </properties>
    <modules>
        <module>ordercenter-sdk</module>
        <module>assortment-ordercenter-sdk</module>
        <module>order-application-service</module>
        <module>shopping-cart-application-service</module>
        <module>call-back-service</module>
        <module>platform-sdk</module>
        <module>assortment-shoppingcart-sdk</module>
        <module>order-management</module>
    </modules>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.5.RELEASE</version>
    </parent>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring.cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>1.2.32</version>
            </dependency>

            <!--   commons 依赖  -->
            <dependency>
                <groupId>cn.freemud.commons</groupId>
                <artifactId>commons-base</artifactId>
                <version>2.1.5a-release</version>
            </dependency>
            <dependency>
                <groupId>cn.freemud.commons</groupId>
                <artifactId>commons-dao</artifactId>
                <version>${commons.version}</version>
            </dependency>

            <dependency>
                <groupId>cn.freemud.commons</groupId>
                <artifactId>commons-redis</artifactId>
                <version>${commons.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.freemud.commons</groupId>
                <artifactId>commons-amqp</artifactId>
                <version>${commons.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.freemud.commons</groupId>
                <artifactId>data-manager-redis</artifactId>
                <version>${commons.version}</version>
            </dependency>

            <dependency>
                <groupId>cn.freemud.commons</groupId>
                <artifactId>commons-security</artifactId>
                <version>${commons.version}</version>
            </dependency>

            <!-- 公共依赖  -->
            <dependency>
                <groupId>com.github.ulisesbocchio</groupId>
                <artifactId>jasypt-spring-boot-starter</artifactId>
                <version>1.14</version>
            </dependency>

            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>1.2.13</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-commons</artifactId>
                <version>2.1.5.RELEASE</version>
            </dependency>
            <!--      spring cloud end    -->

            <dependency>
                <groupId>com.freemud.application.service.sdk</groupId>
                <artifactId>sdk-common-base</artifactId>
                <version>2.0.0-SNAPSHOT</version>
            </dependency>

            <!--              mybatis            -->
            <dependency>
                <groupId>tk.mybatis</groupId>
                <artifactId>mapper</artifactId>
                <version>3.4.0</version>
            </dependency>

            <dependency>
                <groupId>tk.mybatis</groupId>
                <artifactId>mapper-spring</artifactId>
                <version>1.0.4</version>
            </dependency>

            <dependency>
                <groupId>tk.mybatis</groupId>
                <artifactId>mapper-spring-boot-starter</artifactId>
                <version>2.0.2</version>
            </dependency>

            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>2.1.3</version>
            </dependency>

            <!--databases-->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>1.1.2</version>
            </dependency>
            <!--              mybatis end           -->

            <dependency>
                <groupId>org.apache.skywalking</groupId>
                <artifactId>apm-toolkit-logback-1.x</artifactId>
                <version>8.4.0</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-core</artifactId>
                <version>5.1.18.RELEASE</version>
            </dependency>
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.freemud</groupId>
                <artifactId>ordercenter-sdk</artifactId>
                <version>${ordercenter-sdk.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <dependencies>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>sdk-common-base</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-pool2</artifactId>
        </dependency>
    </dependencies>
    <distributionManagement>
        <repository>
            <id>freemud-hosted-release</id>
            <name>releases</name>
            <url>http://115.159.2.190:7654/nexus/content/repositories/freemud-hosted-release/</url>
        </repository>
        <snapshotRepository>
            <id>freemud-hosted-snapshot</id>
            <name>snapshot</name>
            <url>http://115.159.2.190:7654/nexus/content/repositories/freemud-hosted-snapshot/</url>
        </snapshotRepository>
    </distributionManagement>

    <repositories>
        <repository>
            <id>public</id>
            <name>public Repository</name>
            <url>http://115.159.2.190:7654/nexus/content/groups/public/</url>
        </repository>
        <repository>
            <id>freemud-hosted-release</id>
            <name>freemud-hosted-release</name>
            <url>http://115.159.2.190:7654/nexus/content/repositories/freemud-hosted-release/</url>
        </repository>
        <repository>
            <id>spring-libs-release</id>
            <name>Spring Releases</name>
            <url>https://repo.spring.io/libs-release</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>


    <build>
        <plugins>
            <!-- maven 打包时跳过测试 -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>